Adds a token auth user for a token based auth enabled cluster.
HTTP request
POST https://redis.googleapis.com/v1beta1/{cluster=projects/*/locations/*/clusters/*}:addTokenAuthUser
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
cluster |
Required. The cluster resource that this token auth user will be added for. Format: projects/{project}/locations/{location}/clusters/{cluster} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "tokenAuthUser": string } |
| Fields | |
|---|---|
tokenAuthUser |
Required. The id of the token auth user to add. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/redis.read-write
For more information, see the Authentication Overview.